<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>PlotUI</class>
 <widget class="QWidget" name="PlotUI">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>1242</width>
    <height>795</height>
   </rect>
  </property>
  <property name="font">
   <font>
    <pointsize>10</pointsize>
    <weight>50</weight>
    <bold>false</bold>
   </font>
  </property>
  <property name="windowTitle">
   <string>Form</string>
  </property>
  <layout class="QGridLayout" name="gridLayout" rowstretch="0,2,14" columnstretch="0">
   <property name="topMargin">
    <number>1</number>
   </property>
   <property name="bottomMargin">
    <number>8</number>
   </property>
   <property name="spacing">
    <number>5</number>
   </property>
   <item row="2" column="0">
    <layout class="QHBoxLayout" name="horizontalLayout" stretch="1,4">
     <item>
      <layout class="QHBoxLayout" name="horizontalLayout_4" stretch="0,0">
       <item>
        <widget class="QWidget" name="leftSidebar" native="true">
         <property name="enabled">
          <bool>true</bool>
         </property>
         <layout class="QGridLayout" name="gridLayout_3">
          <item row="0" column="0">
           <layout class="QGridLayout" name="gridLayout_2">
            <item row="0" column="0">
             <layout class="QVBoxLayout" name="verticalLayout">
              <item>
               <widget class="QLabel" name="label_4">
                <property name="palette">
                 <palette>
                  <active>
                   <colorrole role="WindowText">
                    <brush brushstyle="SolidPattern">
                     <color alpha="255">
                      <red>101</red>
                      <green>101</green>
                      <blue>101</blue>
                     </color>
                    </brush>
                   </colorrole>
                  </active>
                  <inactive>
                   <colorrole role="WindowText">
                    <brush brushstyle="SolidPattern">
                     <color alpha="255">
                      <red>101</red>
                      <green>101</green>
                      <blue>101</blue>
                     </color>
                    </brush>
                   </colorrole>
                  </inactive>
                  <disabled>
                   <colorrole role="WindowText">
                    <brush brushstyle="SolidPattern">
                     <color alpha="96">
                      <red>164</red>
                      <green>166</green>
                      <blue>168</blue>
                     </color>
                    </brush>
                   </colorrole>
                  </disabled>
                 </palette>
                </property>
                <property name="font">
                 <font>
                  <family>Sans Serif</family>
                  <pointsize>14</pointsize>
                  <weight>50</weight>
                  <bold>false</bold>
                 </font>
                </property>
                <property name="styleSheet">
                 <string notr="true"/>
                </property>
                <property name="text">
                 <string>Plots Overview</string>
                </property>
               </widget>
              </item>
              <item>
               <widget class="Line" name="line_4">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
               </widget>
              </item>
              <item>
               <widget class="QListWidget" name="plotList"/>
              </item>
             </layout>
            </item>
           </layout>
          </item>
         </layout>
        </widget>
       </item>
       <item>
        <widget class="QToolButton" name="leftSidebarButton">
         <property name="toolTip">
          <string>Toggle PlotOverview</string>
         </property>
         <property name="text">
          <string>...</string>
         </property>
         <property name="arrowType">
          <enum>Qt::RightArrow</enum>
         </property>
        </widget>
       </item>
      </layout>
     </item>
     <item>
      <layout class="QVBoxLayout" name="verticalLayout_3" stretch="20,1">
       <property name="spacing">
        <number>0</number>
       </property>
       <item>
        <layout class="QHBoxLayout" name="horizontalLayout_3" stretch="5,1">
         <item>
          <layout class="QVBoxLayout" name="verticalLayout_2">
           <item>
            <widget class="QWidget" name="frozenNotification" native="true">
             <layout class="QGridLayout" name="gridLayout_9">
              <property name="topMargin">
               <number>0</number>
              </property>
              <property name="rightMargin">
               <number>8</number>
              </property>
              <property name="bottomMargin">
               <number>0</number>
              </property>
              <item row="0" column="0">
               <layout class="QHBoxLayout" name="horizontalLayout_6">
                <property name="spacing">
                 <number>3</number>
                </property>
                <item>
                 <widget class="QLabel" name="label_8">
                  <property name="font">
                   <font>
                    <pointsize>14</pointsize>
                    <weight>50</weight>
                    <italic>false</italic>
                    <bold>false</bold>
                    <underline>true</underline>
                   </font>
                  </property>
                  <property name="text">
                   <string>Paused</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
             </layout>
            </widget>
           </item>
           <item>
            <widget class="QChartView" name="graphicsView">
             <property name="baseSize">
              <size>
               <width>0</width>
               <height>0</height>
              </size>
             </property>
            </widget>
           </item>
          </layout>
         </item>
         <item>
          <layout class="QHBoxLayout" name="horizontalLayout_5" stretch="0,0,0,0,0">
           <item>
            <widget class="QToolButton" name="rightSidebarButton">
             <property name="text">
              <string>...</string>
             </property>
             <property name="arrowType">
              <enum>Qt::LeftArrow</enum>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QWidget" name="exportTab" native="true">
             <layout class="QGridLayout" name="gridLayout_7">
              <item row="0" column="0">
               <layout class="QVBoxLayout" name="plotInfo_2" stretch="0,0,0,0,0,0,0,0,9,0,0,0">
                <item>
                 <widget class="QLabel" name="ExportTitle">
                  <property name="font">
                   <font>
                    <pointsize>12</pointsize>
                    <weight>75</weight>
                    <bold>true</bold>
                   </font>
                  </property>
                  <property name="text">
                   <string>Export:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="Line" name="line_8">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QLabel" name="label_11">
                  <property name="text">
                   <string>Type:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout_10">
                  <item>
                   <widget class="QComboBox" name="exportTypeInput"/>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="QLabel" name="label_15">
                  <property name="text">
                   <string>Name:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout_12">
                  <item>
                   <widget class="QLineEdit" name="exportNameInput"/>
                  </item>
                  <item>
                   <widget class="QLabel" name="exportFileType">
                    <property name="text">
                     <string>.yaml</string>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="QLabel" name="label_14">
                  <property name="text">
                   <string>Location:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout_11">
                  <item>
                   <widget class="QLineEdit" name="exportPath">
                    <property name="readOnly">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QToolButton" name="exportPathBtn">
                    <property name="text">
                     <string>Open</string>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <spacer name="verticalSpacer_3">
                  <property name="orientation">
                   <enum>Qt::Vertical</enum>
                  </property>
                  <property name="sizeHint" stdset="0">
                   <size>
                    <width>20</width>
                    <height>40</height>
                   </size>
                  </property>
                 </spacer>
                </item>
                <item>
                 <widget class="QPushButton" name="exportActionBtn">
                  <property name="autoFillBackground">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string>Export</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QProgressBar" name="exportProgressBar">
                  <property name="minimum">
                   <number>0</number>
                  </property>
                  <property name="maximum">
                   <number>0</number>
                  </property>
                  <property name="value">
                   <number>0</number>
                  </property>
                  <property name="invertedAppearance">
                   <bool>false</bool>
                  </property>
                  <property name="textDirection">
                   <enum>QProgressBar::TopToBottom</enum>
                  </property>
                  <property name="format">
                   <string>%p%</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QPushButton" name="cancelExportBtn">
                  <property name="text">
                   <string>Cancel</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
             </layout>
            </widget>
           </item>
           <item>
            <widget class="QWidget" name="plotSetup" native="true">
             <layout class="QGridLayout" name="gridLayout_6">
              <item row="0" column="0">
               <layout class="QVBoxLayout" name="verticalLayout_4" stretch="1,0,0,0,1,0,0,0,11,0,0">
                <item>
                 <widget class="QLabel" name="PlotNameSetup">
                  <property name="font">
                   <font>
                    <pointsize>12</pointsize>
                    <weight>75</weight>
                    <bold>true</bold>
                   </font>
                  </property>
                  <property name="text">
                   <string>New Plot:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QWidget" name="plotColorSetup" native="true"/>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="DEVICE_box">
                  <item>
                   <widget class="QLabel" name="label_2">
                    <property name="text">
                     <string>Signal:</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QComboBox" name="signalInput">
                    <property name="editable">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="MUX_box">
                  <item>
                   <widget class="QLabel" name="muxLabel">
                    <property name="text">
                     <string>Mux Select:</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QSpinBox" name="muxInput"/>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="COLOR_box">
                  <item>
                   <widget class="QLabel" name="label_12">
                    <property name="text">
                     <string>Color: </string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QComboBox" name="plotColorInput"/>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="Line" name="line_3">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QToolButton" name="advancedCANbtn">
                  <property name="text">
                   <string>Show Advanced</string>
                  </property>
                  <property name="checkable">
                   <bool>true</bool>
                  </property>
                  <property name="autoRaise">
                   <bool>true</bool>
                  </property>
                  <property name="arrowType">
                   <enum>Qt::NoArrow</enum>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QWidget" name="advancedCANtab" native="true">
                  <layout class="QVBoxLayout" name="verticalLayout_5" stretch="0,0,0,0,0,0,0">
                   <item>
                    <layout class="QHBoxLayout" name="DEV_box">
                     <item>
                      <widget class="QLabel" name="devIdLabel">
                       <property name="text">
                        <string>DEV ID: </string>
                       </property>
                      </widget>
                     </item>
                     <item>
                      <widget class="QComboBox" name="devIdInput">
                       <property name="editable">
                        <bool>true</bool>
                       </property>
                       <item>
                        <property name="text">
                         <string/>
                        </property>
                       </item>
                      </widget>
                     </item>
                    </layout>
                   </item>
                   <item>
                    <layout class="QHBoxLayout" name="MSGID_box_2">
                     <item>
                      <widget class="QLabel" name="msgIdLabel">
                       <property name="font">
                        <font>
                         <pointsize>10</pointsize>
                         <weight>50</weight>
                         <bold>false</bold>
                        </font>
                       </property>
                       <property name="text">
                        <string>MSG ID: </string>
                       </property>
                      </widget>
                     </item>
                     <item>
                      <widget class="QComboBox" name="msgIdInput">
                       <property name="editable">
                        <bool>true</bool>
                       </property>
                      </widget>
                     </item>
                    </layout>
                   </item>
                   <item>
                    <layout class="QHBoxLayout" name="MSGStart_box">
                     <item>
                      <widget class="QLabel" name="startLabel">
                       <property name="font">
                        <font>
                         <pointsize>10</pointsize>
                         <weight>50</weight>
                         <bold>false</bold>
                        </font>
                       </property>
                       <property name="text">
                        <string>START:</string>
                       </property>
                      </widget>
                     </item>
                     <item>
                      <widget class="QSpinBox" name="startInput"/>
                     </item>
                    </layout>
                   </item>
                   <item>
                    <layout class="QHBoxLayout" name="MSGLength_box">
                     <item>
                      <widget class="QLabel" name="lengthLabel">
                       <property name="text">
                        <string>LENGTH:</string>
                       </property>
                      </widget>
                     </item>
                     <item>
                      <widget class="QSpinBox" name="lengthInput">
                       <property name="maximum">
                        <number>64</number>
                       </property>
                      </widget>
                     </item>
                    </layout>
                   </item>
                   <item>
                    <layout class="QHBoxLayout" name="MSGScale_box">
                     <item>
                      <widget class="QLabel" name="scaleLabel">
                       <property name="text">
                        <string>SCALE: </string>
                       </property>
                      </widget>
                     </item>
                     <item>
                      <widget class="QDoubleSpinBox" name="scaleInput">
                       <property name="value">
                        <double>1.000000000000000</double>
                       </property>
                      </widget>
                     </item>
                    </layout>
                   </item>
                   <item>
                    <layout class="QHBoxLayout" name="MSGOffset_box">
                     <item>
                      <widget class="QLabel" name="offsetLabel">
                       <property name="text">
                        <string>OFFSET: </string>
                       </property>
                      </widget>
                     </item>
                     <item>
                      <widget class="QDoubleSpinBox" name="offsetInput"/>
                     </item>
                    </layout>
                   </item>
                   <item>
                    <widget class="Line" name="line_2">
                     <property name="orientation">
                      <enum>Qt::Horizontal</enum>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </widget>
                </item>
                <item>
                 <spacer name="verticalSpacer_2">
                  <property name="orientation">
                   <enum>Qt::Vertical</enum>
                  </property>
                  <property name="sizeHint" stdset="0">
                   <size>
                    <width>20</width>
                    <height>40</height>
                   </size>
                  </property>
                 </spacer>
                </item>
                <item>
                 <widget class="QPushButton" name="createPlotButton">
                  <property name="autoFillBackground">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string>Create Plot</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QPushButton" name="cancelPlotSetupButton">
                  <property name="text">
                   <string>Cancel</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
             </layout>
            </widget>
           </item>
           <item>
            <widget class="QWidget" name="mathTab" native="true">
             <layout class="QGridLayout" name="gridLayout_10">
              <item row="11" column="1" colspan="2">
               <widget class="QPushButton" name="cancelMathButton">
                <property name="text">
                 <string>Cancel</string>
                </property>
               </widget>
              </item>
              <item row="8" column="1">
               <widget class="QWidget" name="singleOP" native="true">
                <layout class="QGridLayout" name="gridLayout_15">
                 <item row="6" column="0">
                  <widget class="QLabel" name="singleExpLabel">
                   <property name="text">
                    <string>Value:</string>
                   </property>
                  </widget>
                 </item>
                 <item row="4" column="0">
                  <layout class="QGridLayout" name="gridLayout_14"/>
                 </item>
                 <item row="3" column="0">
                  <widget class="QLabel" name="label_19">
                   <property name="text">
                    <string>Operation:</string>
                   </property>
                  </widget>
                 </item>
                 <item row="1" column="0">
                  <layout class="QHBoxLayout" name="horizontalLayout_9" stretch="0,2">
                   <item>
                    <widget class="QLabel" name="label_26">
                     <property name="text">
                      <string>x -&gt;</string>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <widget class="QComboBox" name="singlePlotX"/>
                   </item>
                  </layout>
                 </item>
                 <item row="7" column="0">
                  <widget class="QDoubleSpinBox" name="opSingleValueInput">
                   <property name="decimals">
                    <number>2</number>
                   </property>
                   <property name="minimum">
                    <double>0.000000000000000</double>
                   </property>
                   <property name="maximum">
                    <double>100000000000000000000.000000000000000</double>
                   </property>
                  </widget>
                 </item>
                 <item row="0" column="0">
                  <widget class="QLabel" name="label_18">
                   <property name="text">
                    <string>Plots:</string>
                   </property>
                  </widget>
                 </item>
                 <item row="5" column="0">
                  <widget class="QComboBox" name="singleOpInput"/>
                 </item>
                 <item row="8" column="0">
                  <widget class="QLineEdit" name="singleOpExpression"/>
                 </item>
                </layout>
               </widget>
              </item>
              <item row="3" column="1" colspan="2">
               <layout class="QHBoxLayout" name="horizontalLayout_15">
                <item>
                 <widget class="QLabel" name="label_17">
                  <property name="text">
                   <string>OP Type:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QComboBox" name="opTypeInput"/>
                </item>
               </layout>
              </item>
              <item row="9" column="1" colspan="2">
               <spacer name="verticalSpacer_4">
                <property name="orientation">
                 <enum>Qt::Vertical</enum>
                </property>
                <property name="sizeHint" stdset="0">
                 <size>
                  <width>20</width>
                  <height>40</height>
                 </size>
                </property>
               </spacer>
              </item>
              <item row="7" column="1" colspan="2">
               <widget class="QWidget" name="doubleOP" native="true">
                <layout class="QGridLayout" name="gridLayout_16">
                 <item row="5" column="0">
                  <layout class="QGridLayout" name="gridLayout_17"/>
                 </item>
                 <item row="3" column="0">
                  <widget class="QLabel" name="label_24">
                   <property name="text">
                    <string>Operation:</string>
                   </property>
                  </widget>
                 </item>
                 <item row="7" column="0">
                  <widget class="QComboBox" name="doubleOpInput"/>
                 </item>
                 <item row="1" column="0">
                  <layout class="QHBoxLayout" name="horizontalLayout_7" stretch="0,2">
                   <item>
                    <widget class="QLabel" name="label_10">
                     <property name="text">
                      <string>x -&gt;</string>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <widget class="QComboBox" name="plotX"/>
                   </item>
                  </layout>
                 </item>
                 <item row="2" column="0">
                  <layout class="QHBoxLayout" name="horizontalLayout_8" stretch="0,2">
                   <item>
                    <widget class="QLabel" name="label_25">
                     <property name="text">
                      <string>y -&gt;</string>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <widget class="QComboBox" name="plotY"/>
                   </item>
                  </layout>
                 </item>
                 <item row="0" column="0">
                  <widget class="QLabel" name="label_23">
                   <property name="text">
                    <string>Plots:</string>
                   </property>
                  </widget>
                 </item>
                 <item row="8" column="0">
                  <widget class="QLabel" name="label_22">
                   <property name="text">
                    <string>Expression:</string>
                   </property>
                  </widget>
                 </item>
                 <item row="9" column="0">
                  <widget class="QLineEdit" name="doubleOpExpression"/>
                 </item>
                </layout>
               </widget>
              </item>
              <item row="4" column="1" colspan="2">
               <widget class="Line" name="line_10">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
               </widget>
              </item>
              <item row="1" column="1" colspan="2">
               <widget class="QLabel" name="ExportTitle_2">
                <property name="font">
                 <font>
                  <pointsize>12</pointsize>
                  <weight>75</weight>
                  <bold>true</bold>
                 </font>
                </property>
                <property name="text">
                 <string>Math Setup:</string>
                </property>
               </widget>
              </item>
              <item row="2" column="1" colspan="2">
               <widget class="Line" name="line_9">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
               </widget>
              </item>
              <item row="10" column="1" colspan="2">
               <widget class="QPushButton" name="createMathPlotBtn">
                <property name="text">
                 <string>Create Math Plot</string>
                </property>
               </widget>
              </item>
             </layout>
             <widget class="QWidget" name="layoutWidget">
              <property name="geometry">
               <rect>
                <x>0</x>
                <y>0</y>
                <width>16</width>
                <height>16</height>
               </rect>
              </property>
              <layout class="QGridLayout" name="gridLayout_12"/>
             </widget>
            </widget>
           </item>
           <item>
            <widget class="QWidget" name="plotProperties" native="true">
             <property name="enabled">
              <bool>true</bool>
             </property>
             <layout class="QGridLayout" name="gridLayout_5">
              <item row="1" column="0">
               <layout class="QVBoxLayout" name="plotInfo" stretch="1,1,0,1,1,0,0,0,0,11,0">
                <item>
                 <widget class="QLabel" name="plotName">
                  <property name="font">
                   <font>
                    <pointsize>12</pointsize>
                    <weight>75</weight>
                    <bold>true</bold>
                   </font>
                  </property>
                  <property name="text">
                   <string>Plot 1</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QWidget" name="plotColor" native="true">
                  <property name="font">
                   <font>
                    <pointsize>1</pointsize>
                    <weight>50</weight>
                    <bold>false</bold>
                   </font>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout_14">
                  <item>
                   <widget class="QLabel" name="label_16">
                    <property name="text">
                     <string>Color:</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QComboBox" name="changeColorInput"/>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="DEV_box_2" stretch="0,1">
                  <property name="spacing">
                   <number>0</number>
                  </property>
                  <item>
                   <widget class="QLabel" name="label_13">
                    <property name="text">
                     <string>DEV ID:  </string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QLineEdit" name="devIdInfo">
                    <property name="readOnly">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="MSGID_box" stretch="0,1">
                  <property name="spacing">
                   <number>0</number>
                  </property>
                  <item>
                   <widget class="QLabel" name="label_3">
                    <property name="font">
                     <font>
                      <pointsize>10</pointsize>
                      <weight>50</weight>
                      <bold>false</bold>
                     </font>
                    </property>
                    <property name="text">
                     <string>MSG ID: </string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QLineEdit" name="msgIdInfo">
                    <property name="readOnly">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="Line" name="line">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="MAX_box" stretch="0,1">
                  <property name="spacing">
                   <number>3</number>
                  </property>
                  <item>
                   <widget class="QLabel" name="label_5">
                    <property name="text">
                     <string>MAX:</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QLineEdit" name="maxValueInfo">
                    <property name="readOnly">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="MIN_box">
                  <item>
                   <widget class="QLabel" name="label_6">
                    <property name="text">
                     <string>MIN:</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QLineEdit" name="minValueInfo">
                    <property name="readOnly">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="AVG_box">
                  <item>
                   <widget class="QLabel" name="label_7">
                    <property name="text">
                     <string>AVG:</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QLineEdit" name="avgValueInfo">
                    <property name="readOnly">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <spacer name="verticalSpacer">
                  <property name="orientation">
                   <enum>Qt::Vertical</enum>
                  </property>
                  <property name="sizeHint" stdset="0">
                   <size>
                    <width>20</width>
                    <height>40</height>
                   </size>
                  </property>
                 </spacer>
                </item>
                <item>
                 <widget class="QPushButton" name="removePlotButton">
                  <property name="autoFillBackground">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string>Remove this plot</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
              <item row="0" column="0">
               <layout class="QGridLayout" name="gridLayout_4"/>
              </item>
             </layout>
            </widget>
           </item>
          </layout>
         </item>
        </layout>
       </item>
       <item>
        <widget class="QPlainTextEdit" name="Console"/>
       </item>
      </layout>
     </item>
    </layout>
   </item>
   <item row="1" column="0">
    <layout class="QHBoxLayout" name="horizontalLayout_2" stretch="2,0,0">
     <item>
      <widget class="QScrollArea" name="scrollArea">
       <property name="verticalScrollBarPolicy">
        <enum>Qt::ScrollBarAlwaysOff</enum>
       </property>
       <property name="horizontalScrollBarPolicy">
        <enum>Qt::ScrollBarAsNeeded</enum>
       </property>
       <property name="sizeAdjustPolicy">
        <enum>QAbstractScrollArea::AdjustToContents</enum>
       </property>
       <property name="widgetResizable">
        <bool>true</bool>
       </property>
       <widget class="QWidget" name="scrollAreaWidgetContents">
        <property name="geometry">
         <rect>
          <x>0</x>
          <y>0</y>
          <width>1068</width>
          <height>100</height>
         </rect>
        </property>
        <layout class="QGridLayout" name="gridLayout_8">
         <item row="1" column="1">
          <layout class="QVBoxLayout" name="verticalLayout_10">
           <item>
            <layout class="QHBoxLayout" name="horizontalLayout_16" stretch="0,0,0,0,0,0,0,0,0,0,0,0,0,34">
             <property name="spacing">
              <number>5</number>
             </property>
             <property name="leftMargin">
              <number>0</number>
             </property>
             <property name="bottomMargin">
              <number>0</number>
             </property>
             <item>
              <widget class="QToolButton" name="importButton">
               <property name="font">
                <font>
                 <pointsize>12</pointsize>
                 <weight>50</weight>
                 <bold>false</bold>
                </font>
               </property>
               <property name="text">
                <string>Load</string>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QToolButton" name="exportButton">
               <property name="font">
                <font>
                 <pointsize>12</pointsize>
                 <weight>50</weight>
                 <bold>false</bold>
                </font>
               </property>
               <property name="text">
                <string>Export</string>
               </property>
              </widget>
             </item>
             <item>
              <widget class="Line" name="line_11">
               <property name="orientation">
                <enum>Qt::Vertical</enum>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QToolButton" name="addPlotButton">
               <property name="font">
                <font>
                 <pointsize>12</pointsize>
                 <weight>50</weight>
                 <bold>false</bold>
                </font>
               </property>
               <property name="styleSheet">
                <string notr="true">QPushButton  {
    padding: -25px 0 10px 0;
    border: 1px solid black;
    border-radius: 2px;
    background-position: center bottom;
    background-repeat: no-repeat;
    background-origin: content;
	background-image: url(:/CustomIcons/CustomIcons/terminal.png);
 }</string>
               </property>
               <property name="text">
                <string>Add Plot</string>
               </property>
               <property name="iconSize">
                <size>
                 <width>30</width>
                 <height>30</height>
                </size>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QToolButton" name="OpenConsole">
               <property name="sizePolicy">
                <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                 <horstretch>0</horstretch>
                 <verstretch>0</verstretch>
                </sizepolicy>
               </property>
               <property name="sizeIncrement">
                <size>
                 <width>0</width>
                 <height>0</height>
                </size>
               </property>
               <property name="baseSize">
                <size>
                 <width>0</width>
                 <height>0</height>
                </size>
               </property>
               <property name="font">
                <font>
                 <pointsize>12</pointsize>
                 <weight>50</weight>
                 <bold>false</bold>
                </font>
               </property>
               <property name="styleSheet">
                <string notr="true">QPushButton  {
    padding: -25px 0 10px 0;
    border: 1px solid black;
    border-radius: 2px;
    background-position: center bottom;
    background-repeat: no-repeat;
    background-origin: content;
	background-image: url(:/CustomIcons/CustomIcons/terminal.png);
 }</string>
               </property>
               <property name="text">
                <string>Console</string>
               </property>
               <property name="iconSize">
                <size>
                 <width>30</width>
                 <height>30</height>
                </size>
               </property>
               <property name="checkable">
                <bool>true</bool>
               </property>
               <property name="arrowType">
                <enum>Qt::NoArrow</enum>
               </property>
              </widget>
             </item>
             <item>
              <widget class="Line" name="line_12">
               <property name="orientation">
                <enum>Qt::Vertical</enum>
               </property>
              </widget>
             </item>
             <item>
              <layout class="QVBoxLayout" name="advancedZoom">
               <item>
                <layout class="QHBoxLayout" name="horizontalLayout_17" stretch="0,0,0,0,0">
                 <item>
                  <widget class="QLabel" name="label_21">
                   <property name="text">
                    <string>X: </string>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QSpinBox" name="gotoMinXInput">
                   <property name="maximum">
                    <number>999999999</number>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QSpinBox" name="gotoMaxXInput">
                   <property name="maximum">
                    <number>999999999</number>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QCheckBox" name="scrollCheckbox">
                   <property name="text">
                    <string>Scroll</string>
                   </property>
                   <property name="checked">
                    <bool>true</bool>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QPushButton" name="gotoBtn">
                   <property name="text">
                    <string>Go to</string>
                   </property>
                  </widget>
                 </item>
                </layout>
               </item>
               <item>
                <layout class="QHBoxLayout" name="horizontalLayout_18" stretch="0,0,0,0">
                 <item>
                  <widget class="QLabel" name="label_9">
                   <property name="text">
                    <string>Y: </string>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QDoubleSpinBox" name="gotoMinYInput">
                   <property name="minimum">
                    <double>-99990000.000000000000000</double>
                   </property>
                   <property name="maximum">
                    <double>99990000.000000000000000</double>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QDoubleSpinBox" name="gotoMaxYInput">
                   <property name="minimum">
                    <double>-99990000.000000000000000</double>
                   </property>
                   <property name="maximum">
                    <double>99990000.000000000000000</double>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QPushButton" name="resetZoomBtn">
                   <property name="text">
                    <string>Reset Zoom</string>
                   </property>
                  </widget>
                 </item>
                </layout>
               </item>
              </layout>
             </item>
             <item>
              <widget class="QToolButton" name="fixLimits">
               <property name="font">
                <font>
                 <pointsize>12</pointsize>
                 <weight>50</weight>
                 <bold>false</bold>
                </font>
               </property>
               <property name="text">
                <string>Fix limits</string>
               </property>
               <property name="checkable">
                <bool>true</bool>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QToolButton" name="zoomButton">
               <property name="font">
                <font>
                 <pointsize>12</pointsize>
                 <weight>50</weight>
                 <bold>false</bold>
                </font>
               </property>
               <property name="text">
                <string>Zoom selection</string>
               </property>
               <property name="checkable">
                <bool>true</bool>
               </property>
              </widget>
             </item>
             <item>
              <widget class="Line" name="line_13">
               <property name="orientation">
                <enum>Qt::Vertical</enum>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QToolButton" name="mathButton">
               <property name="font">
                <font>
                 <pointsize>12</pointsize>
                 <weight>50</weight>
                 <bold>false</bold>
                </font>
               </property>
               <property name="text">
                <string>Math</string>
               </property>
              </widget>
             </item>
             <item>
              <widget class="Line" name="line_6">
               <property name="orientation">
                <enum>Qt::Vertical</enum>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QToolButton" name="reportButton">
               <property name="font">
                <font>
                 <pointsize>12</pointsize>
                 <weight>50</weight>
                 <bold>false</bold>
                </font>
               </property>
               <property name="text">
                <string>Report</string>
               </property>
              </widget>
             </item>
             <item>
              <spacer name="horizontalSpacer_2">
               <property name="orientation">
                <enum>Qt::Horizontal</enum>
               </property>
               <property name="sizeHint" stdset="0">
                <size>
                 <width>40</width>
                 <height>20</height>
                </size>
               </property>
              </spacer>
             </item>
            </layout>
           </item>
           <item>
            <widget class="Line" name="line_5">
             <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
            </widget>
           </item>
           <item>
            <spacer name="verticalSpacer_5">
             <property name="orientation">
              <enum>Qt::Vertical</enum>
             </property>
             <property name="sizeHint" stdset="0">
              <size>
               <width>20</width>
               <height>40</height>
              </size>
             </property>
            </spacer>
           </item>
          </layout>
         </item>
        </layout>
       </widget>
      </widget>
     </item>
     <item>
      <spacer name="horizontalSpacer">
       <property name="orientation">
        <enum>Qt::Horizontal</enum>
       </property>
       <property name="sizeHint" stdset="0">
        <size>
         <width>40</width>
         <height>20</height>
        </size>
       </property>
      </spacer>
     </item>
     <item>
      <layout class="QVBoxLayout" name="verticalLayout_6">
       <item>
        <spacer name="verticalSpacer_6">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
           <height>40</height>
          </size>
         </property>
        </spacer>
       </item>
       <item>
        <widget class="QLabel" name="label">
         <property name="font">
          <font>
           <pointsize>11</pointsize>
           <weight>50</weight>
           <bold>false</bold>
          </font>
         </property>
         <property name="text">
          <string>Sample Rate: </string>
         </property>
        </widget>
       </item>
       <item>
        <layout class="QHBoxLayout" name="horizontalLayout_13">
         <item>
          <widget class="QSpinBox" name="sampleRateInput">
           <property name="suffix">
            <string> samples</string>
           </property>
           <property name="prefix">
            <string/>
           </property>
           <property name="minimum">
            <number>1</number>
           </property>
           <property name="maximum">
            <number>99999999</number>
           </property>
           <property name="value">
            <number>100</number>
           </property>
          </widget>
         </item>
         <item>
          <widget class="QPushButton" name="freezeBtn">
           <property name="text">
            <string>Freeze</string>
           </property>
           <property name="checkable">
            <bool>true</bool>
           </property>
           <property name="autoRepeat">
            <bool>false</bool>
           </property>
          </widget>
         </item>
        </layout>
       </item>
       <item>
        <widget class="QLabel" name="label_20">
         <property name="font">
          <font>
           <pointsize>11</pointsize>
           <weight>50</weight>
           <bold>false</bold>
          </font>
         </property>
         <property name="text">
          <string>Theme:</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QComboBox" name="themesPicker"/>
       </item>
      </layout>
     </item>
    </layout>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>QChartView</class>
   <extends>QGraphicsView</extends>
   <header>QtCharts</header>
  </customwidget>
 </customwidgets>
 <resources/>
 <connections/>
</ui>
